%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-ejb-client
Version:       1.0.2
Release:       1%{?dist}
Summary:       JBoss EJB client
Group:         Development/Libraries
License:       LGPLv2+
URL:           http://www.jboss.org/

# git clone git://github.com/jbossas/jboss-ejb-client.git
# cd jboss-ejb-client/ && git archive --format=tar --prefix=jboss-ejb-client-1.0.2.Final/ 1.0.2.Final | xz > jboss-ejb-client-1.0.2.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

# This patch should be removed in next version, as it moves upstream NOW
Patch0:        %{name}-%{namedversion}-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jboss-parent
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-logging
BuildRequires: jboss-logging-tools
BuildRequires: jboss-logmanager
BuildRequires: jboss-marshalling
BuildRequires: jboss-remoting
BuildRequires: jboss-sasl
BuildRequires: jboss-transaction-1.1-api
BuildRequires: xnio

Requires:      java
Requires:      jpackage-utils
Requires:      jboss-ejb-3.1-api
Requires:      jboss-logging
Requires:      jboss-logging-tools
Requires:      jboss-logmanager
Requires:      jboss-marshalling
Requires:      jboss-remoting
Requires:      jboss-sasl
Requires:      jboss-transaction-1.1-api
Requires:      xnio

BuildArch:     noarch

%description
Client library for EJB applications working against JBoss AS

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/jboss-ejb-client-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Feb 14 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Initial packaging

